Subject: Re: DHCPv6 and multiple servers

From: Tim Hartrick <[email-masked]>
Date: Wed, 29 Dec 1999 22:49:27 -0800 (PST)

Thomas,

> 
> What I would like to be clear on (and maybe this is already clear to
> everyone else) is whether it is requirement that clients are expected
> to make use of multiple servers, in the simultaneous sense. Although
> the spec doesn't disallow it, it also doesn't suggest that clients do
> this. If there is an expectation that clients do need to handle this
> case, more text in the document is needed. If clients do not need to
> do this today, than the current document is fine in this regard.
>

There should be no MUST language either.  It should be possible for a
client to exist which will only interact with one server even if multiple
servers are present.

> >  
> > It seems that that we could do a similar thing for handling multiple
> > servers per interface for the mobility case.  One could have the notion of
> > a home DHCPv6 server and a remote DHCPv6 server and designate which
> > parameters are authoritative from which server.
> 
> I'm not sure this is so clear. I can imagine that there are cases
> where the DHCP-learned parameter one uses (i.e., DNS server) depends
> on whether the node is pretending to be mobile (i.e., using its home
> address) or whether it is acting directly attached (i.e., using its
> temporary address directly). So this case may need more thought.
> 

Yes, it is complex.  It really requires that there be some linkage between
the address being used as source address for communication and the parameters
received from the DHCPv6 server which issued the address being used as the
source address.  Pretty ugly.

tim